unit RRPGVisaoFicha;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RRPGBaseVisaoFicha, StdCtrls;

type
  TfrmVisaoFicha = class(TFrmBaseVisaoFicha)
  private
    { Private declarations }
  protected
    function DoMouseWheel(Shift: TShiftState; WheelDelta: Integer;
      MousePos: TPoint): Boolean; override;
  public
    { Public declarations }
  end;

implementation

{$R *.dfm}

{ TfrmVisaoFicha }

function TfrmVisaoFicha.DoMouseWheel(Shift: TShiftState; WheelDelta: Integer;
  MousePos: TPoint): Boolean;
var
  Scrollar: Integer;
begin
  Result := inherited DoMouseWheel(Shift, WheelDelta, MousePos);
  Scrollar := WheelDelta div 10;

  if Screen.ActiveControl is TCustomMemo then
    Exit;

  if Scrollar < 0 then
    SendMessage(Self.Handle, WM_VSCROLL, SB_LINEDOWN, 0)
  else
    SendMessage(Self.Handle, WM_VSCROLL, SB_LINEUP, 0);
end;

end.
